<?php 
require_once("$CFG->dirroot/local/badiunet/lib/utildata.php");
class local_badiunet_webservicerole {
    
    private $param = null;
    private $utildata;
    private $error=null;
    function __construct() {
        $this->utildata=new local_badiunet_utildata();
    }
    
    public function login() {
            global $DB;
           $user = $DB->get_record('user', array('username'=>'admin')); 
           complete_user_login($user);
      }
      
  
    function getParam() {
        return $this->param;
    }

    function setParam($param) {
        $this->param = $param;
    }

      function getUtildata() {
        return $this->utildata;
    }

    function setUtildata($utildata) {
        $this->utildata = $utildata;
    }

    public function getError() {
        return $this->error;
    }

    public function setError($error) {
        $this->error = $error;
    }
}


?>
